Name:           gccxml
Version:        0.9.0
Release:        %mkrel 1.git20130330
Summary:        XML output extension to GCC
License:        GPL and BSD
Group:          Development/C
URL:            http://www.gccxml.org/
# git clone https://github.com/gccxml/gccxml.git
# mv gccxml/ gccxml-git-`date --iso`
Source0:        gccxml-git-2013-03-29.tar.xz
BuildRequires:  cmake

%description
Development tools that work with programming languages benefit from their
ability to understand the code with which they work at a level comparable to
a compiler. C++ has become a popular and powerful language, but parsing it
is a very challenging problem. This has discouraged the development of tools
meant to work directly with the language.

There is one open-source C++ parser, the C++ front-end to GCC, which is
currently able to deal with the language in its entirety. The purpose of the
GCC-XML extension is to generate an XML description of a C++ program from
GCC's internal representation. Since XML is easy to parse, other development
tools will be able to work with C++ programs without the burden of a
complicated C++ parser.

%prep
%setup -q -n gccxml-git-2013-03-29

%build
cmake \
  -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
  -DCMAKE_INSTALL_LIBDIR:PATH=%{_libdir} \
  -DINCLUDE_INSTALL_DIR:PATH=%{_includedir} \
  -DLIB_INSTALL_DIR:PATH=%{_libdir} \
  -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
  -DSHARE_INSTALL_PREFIX:PATH=%{_datadir} \
  #End

make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%files
%{_bindir}/gccxml
%{_bindir}/gccxml_cc1plus
%{_datadir}/gccxml-0.9/GCC/*
%{_datadir}/gccxml-0.9/IBM/*
%{_datadir}/gccxml-0.9/Intel/*
%{_datadir}/gccxml-0.9/MIPSpro/*
%{_datadir}/gccxml-0.9/Sun/*
%{_datadir}/gccxml-0.9/gccxml_config
%{_datadir}/gccxml-0.9/gccxml_identify_compiler.cc
%{_docdir}/gccxml-0.9/*
%{_mandir}/man1/gccxml.1*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.9.0-1.git20130330.mga4
+ Revision: 523144
- Mageia 4 Mass Rebuild

* Fri Mar 29 2013 blue_prawn <blue_prawn> 0.9.0-1.git20130329.mga3
+ Revision: 406479
- imported package gccxml

